# PathComponents (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.sftp
Class PathComponents

    java.lang.Object
      net.schmizz.sshj.sftp.PathComponents

    public class PathComponents

extends Object

Constructor Summary
`PathComponents(String parent, String name, String pathSep)`

Method Summary
`boolean` `equals(Object o)`
`String` `getName()`
`String` `getParent()`
`String` `getPath()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathComponents

    public PathComponents(String parent,
                          String name,
                          String pathSep)

Method Detail

### getParent

    public String getParent()

### getName

    public String getName()

### getPath

    public String getPath()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.